# 循环：`For`循环，`while`循环

> 原文： [https://pythonspot.com/loops/](https://pythonspot.com/loops/)

可以使用循环来重复代码。 代码行可以重复 N 次，其中 N 是可以手动配置的。 实际上，这意味着将重复执行代码，直到满足条件为止。 此条件通常为（`x <= N`），但这不是唯一可能的条件。

Python 有 3 种循环类型：`for`循环，`while`循环和嵌套循环。

## `for`循环

我们可以使用`for`循环迭代列表

```py
#!/usr/bin/python

items = [ "Abby","Brenda","Cindy","Diddy" ]

for item in items:
    print(item)

```

`for`循环的可视化：

![for loop](img/82f73ddadae94db3c7fa209585564d41.jpg)

`for`循环也可以重复 N 次：

```py
#!/usr/bin/python

for i in range(1,10):
    print(i)

```

## `While`循环

如果不确定代码应重复多少次，请使用`while`循环。例如，

```py

correctNumber = 5
guess = 0

while guess != correctNumber:
    guess = int(input("Guess the number: "))

    if guess != correctNumber:
        print('False guess')

print('You guessed the correct number')

```

## 嵌套循环

我们可以使用嵌套组合`for`循环。 如果我们要遍历`(x, y)`字段，可以使用：

```py
#!/usr/bin/python

for x in range(1,10):
    for y in range(1,10):
        print("(" + str(x) + "," + str(y) + ")")

```

嵌套非常有用，但是嵌套得越深，它就会增加复杂性。

[下载 Python 练习](https://pythonspot.com/download-python-exercises/)