# 随机数

> 原文： [https://pythonspot.com/random-numbers/](https://pythonspot.com/random-numbers/)

使用`random`模块，我们可以生成伪随机数。 函数`random()`生成一个介于零和一之间的随机数`[0, 0.1 .. 1]`。 用此模块生成的数字不是真正随机的，但对于大多数用途而言，它们是足够随机的。

## 介于 0 和 1 之间的随机数。

我们可以使用以下小代码生成（伪）随机浮点​​数：

```py
from random import *

print(random())     # Generate a pseudo-random number between 0 and 1.

```

## 生成一个 1 到 100 之间的随机数

要生成一个介于一百到一百之间的整数（整数），请使用：

```py
from random import *

print(randint(1, 100))    # Pick a random number between 1 and 100.

```

这将打印一个随机整数。 如果要将其存储在变量中，可以使用：

```py
from random import *

x = randint(1, 100)    # Pick a random number between 1 and 100.
print(x)

```

## 1 到 10 之间的随机数

要生成 1 到 10 之间的随机浮点数，您可以使用`uniform()`函数

```py
from random import *

print(uniform(1, 10))

```

从列表中选择一个随机项目

## 打乱列表

我们可以使用以下代码对列表进行随机排列：

```py
from random import *

items = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
shuffle(items)
print(items)

```

要从列表中选择一个随机数：

```py
from random import *

items = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]

x = sample(items,  1)   # Pick a random item from the list
print(x[0])

y = sample(items, 4)    # Pick 4 random items from the list
print(y)

```

我们可以使用字符串列表来做同样的事情：

```py
from random import *

items = ['Alissa','Alice','Marco','Melissa','Sandra','Steve']

x = sample(items,  1)   # Pick a random item from the list
print(x[0])

y = sample(items, 4)    # Pick 4 random items from the list
print(y)

```

[下载 Python 练习](https://pythonspot.com/download-python-exercises/)