# 写入文件

> 原文： [https://pythonspot.com/write-file/](https://pythonspot.com/write-file/)

Python 默认支持写文件，不需要特殊模块。 您可以使用`.write()`方法以及包含文本数据的参数来写入文件。

在将数据写入文件之前，请调用`open(filename, 'w')`函数，其中`filename`包含文件名或文件名的路径。 最后，别忘了关闭文件。

## 创建要写入的文件

下面的代码使用数据创建一个新文件（或覆盖）。

```py
#!/usr/bin/env python

# Filename to write
filename = "newfile.txt"

# Open the file with writing permission
myfile = open(filename, 'w')

# Write a line to the file
myfile.write('Written with Python\n')

# Close the file
myfile.close()

```

`"w"`标志可使 Python 截断该文件（如果已存在）。 也就是说，如果文件内容存在，它将被替换。

## 附加到文件

如果您只想向文件添加内容，则可以使用`"a"`参数。

```py
#!/usr/bin/env python

# Filename to append
filename = "newfile.txt"

# The 'a' flag tells Python to keep the file contents
# and append (add line) at the end of the file.
myfile = open(filename, 'a')

# Add the line
myfile.write('Written with Python\n')

# Close the file
myfile.close()

```

## 参数

参数总结：

[下载 Python 练习](https://pythonspot.com/download-python-exercises/)

| 标志 | 行为 |
| --- | --- |
| `r` | 打开文件以供读取 |
| `w` | 打开文件进行写入（将截断文件） |
| `b` | 二进制更多 |
| `r+` | 打开文件进行读写 |
| `a+` | 打开文件进行读写（附加到结尾） |
| `w+` | 打开文件进行读写（截断文件） |