# TkInter 消息框

> 原文： [https://pythonspot.com/tk-message-box/](https://pythonspot.com/tk-message-box/)

[**Tkinter**](https://pythonspot.com/tkinter/) tkMessageBox 具有多种显示**消息框**的方法。

适用于 Python 2.7 的 [**Tkinter**](https://pythonspot.com/tkinter/) 和 Python 3 之间略有不同。 要找到您的 Python 版本，请尝试以下命令之一：

```py
python --version
python3 --version

```

### Tkinter 消息框

![Tkinter Message box](img/e9d03180e4231af35183a0c4f9ff6277.jpg)

`TkMessage`框显示一个简约的 TkInter 对话框。

![tkinter-dialog](img/cada3d59a1bd4887694d8ded4576f519.jpg) 

Tk 消息框对话框

Tkinter 包括其他几个消息框：

*   showerror（）
*   showwarning（）
*   showinfo（）

Python 3.x

```py
import tkinter
from tkinter import messagebox

# hide main window
root = tkinter.Tk()
root.withdraw()

# message box display
messagebox.showerror("Error", "Error message")
messagebox.showwarning("Warning","Warning message")
messagebox.showinfo("Information","Informative message")

```

Python 2.7

```py
import Tkinter
import tkMessageBox

# An error box
tkMessageBox.showerror("Error","No disk space left on device")

# A warning box 
tkMessageBox.showwarning("Warning","Could not start service")

# An information box
tkMessageBox.showinfo("Information","Created in Python.")

```

您可能会喜欢： [Tkinter 问题对话框](https://pythonspot.com/tkinter-askquestion-dialog/)或[更多 Tkinter](https://pythonspot.com/tkinter/)

[下载 tkinter 示例](/download-tkinter-examples)