# wxPython 窗口

> 原文： [https://pythonspot.com/wxpython-window/](https://pythonspot.com/wxpython-window/)

wxPython 是用于 Python 编程语言的 GUI 工具箱。 [wxPython](https://pythonspot.com/wx/) 可用于创建[图形用户界面（GUI）](https://pythonspot.com/gui)。

用 wxPython 制作的应用程序在所有平台上都有本机外观。 与具有自定义 QT 或 Tk 外观的 QT 或 Tk 不同，该应用程序将显示为本机应用程序。 它可以在所有主要的桌面平台上运行。

当前支持的操作系统是 Microsoft Windows（32 位），大多数 Unix 或类 Unix 系统以及 Macintosh OSX。

wxPython 模块基于 C ++ GUI 库 wxWidgets。

## wxPython 窗口

要使用 wxPython 打开窗口，请运行以下代码：

```py
#!/usr/bin/python

import wx      
app = wx.App()
frame = wx.Frame(None, -1, 'win.py')
frame.Show()
app.MainLoop()

```

wx.App（）行创建一个应用程序对象。 每个 [wx](https://pythonspot.com/wx/) 程序都需要具有一个.App（）对象。

wx.Frame（）方法返回一个可以包含小部件的新窗口。

app.Mainloop（）将应用程序置于主循环中并侦听事件。

## 窗口大小和位置

您可以使用 SetDimensions（）函数设置位置和大小：

```py
#!/usr/bin/python

import wx

app = wx.App()
frame = wx.Frame(None, -1, 'win.py')
frame.SetDimensions(0,0,640,480)
frame.Show()
app.MainLoop()

```

该函数的参数为​​：x（左），y（上），宽度和高度。 该功能不仅可以设置屏幕分辨率，还可以设置屏幕上的位置。

## 将窗口居中

要将窗口置于屏幕调用的中心：

```py
frame.Centre()

```