# 方法重载

> 原文： [https://pythonspot.com/method-overloading/](https://pythonspot.com/method-overloading/)

![method overloading](img/fac89ca5c417cab74c1eae70c7d3c4b4.jpg)

几种调用方法的方法（方法重载）

在 Python 中，您可以以一种多种方式来调用它来定义方法。

给定单个方法或函数，我们可以自行指定参数数量。

根据函数定义，可以使用零个，一个，两个或多个参数来调用它。

这称为方法重载。并非所有的编程语言都支持方法重载，但是 Python 支持。

## 方法重载示例

我们使用一个方法`sayHello()`创建一个类。此方法的第一个参数设置为`None`，这使我们可以选择是否使用参数来调用它。

一个基于该类创建的对象，我们使用零和一个参数调用其方法。

```py
#!/usr/bin/env python

class Human:

    def sayHello(self, name=None):

        if name is not None:
            print('Hello ' + name)
        else:
            print('Hello ')

# Create instance
obj = Human()

# Call the method
obj.sayHello()

# Call the method with a parameter
obj.sayHello('Guido')

```

输出：

```py
Hello
Hello Guido

```

为了澄清方法的重载，我们现在可以通过两种方式调用`sayHello()`方法：

```py
obj.sayHello()
obj.sayHello('Guido')

```

我们创建了一个方法，该方法可以使用比定义所允许的参数更少的参数进行调用。

我们不仅限于两个变量，您的方法可以有更多可选的变量。

[下载练习](https://pythonspot.com/download-oop-exercises/)