# Flask 入门：Hello World

> 原文： [https://pythonspot.com/flask-hello-world/](https://pythonspot.com/flask-hello-world/)

在本教程中，您将学习如何使用 Python 构建网络应用。

我们将使用称为 [Flask](https://pythonspot.com/python-flask-tutorials/) 的微型框架。它的核心很小，但是可以通过许多插件扩展，例如 SQLAlchemy，Babel，CouchDB，MongoDB 等。

一些  Flask 示例应用为：

*   [flaskr](http://flask.pocoo.org/docs/0.10/tutorial/introduction/) - 微博
*   [minitwit](https://github.com/mitsuhiko/flask/tree/master/examples/minitwit/)  -- 一个推特克隆
*   [flask 网站](https://github.com/mitsuhiko/flask-website) - 静态页面+邮件列表文件

## 安装 Flask

使用以下命令安装 Flask：

```py
pip install Flask

```

## Flask Hello World 应用程序

创建一个名为`hello.py`的文件

```py

from flask import Flask
app = Flask(__name__)

@app.route("/")
    def hello():
        return "Hello World!"

if __name__ == "__main__":
    app.run()

```

最后，使用以下命令运行 Web 应用程序：

```py
$ python hello.py
* Running on http://localhost:5000/

```

在您的网络浏览器中打开 [http://localhost:5000/](http://localhost:5000/) ，然后会出现`"Hello World!"`。

[下载 Flask 示例](https://pythonspot.com/download-flask-examples/)